[Nitro] Install issues with 0.25

Michael Fellinger m.fellinger at gmail.com
Sat Nov 19 16:49:19 EST 2005


Thanks for the fixes - but my way for doing this was just to delete all 
nitro/og/glue...whatever (be warned, only files that belong to nitro) from 
the /usr/local/lib/ruby/site_ruby/1.8/
it gets there when you try to install nitro as normal user first, and when you 
get the error for lacking permissions (happens at og or somewhere) there are 
files already in site_ruby wich have a higher priority than the normal 
nitro-gems...
deleting them will read the missing stuff correctly from the real 
gem-directory :)

Am Samstag 19 November 2005 19:05 schrieb TimH:
> This was my first attempt at installing Nitro, so I have to admit to
> complete ignorance.  However, things that were confusing me last night also
> confused several people in #nitro and #ruby-lang.  These people helped me
> work out the issues, and I think some patches will be coming soon from one
> of them, but in the meantime this info may help others.
>
> First of all nano and mega are no longer seperate packages; they are part
> of facets.  I don't know how interesting this info is since I had never
> heard of any of them.  Facets looks cool however and I may use it for some
> other stuff, but I digress..
>
> After installing all the nitro, og, facets, glue, etc...  I tried to
> install and run Flare, but got the following error:
> /usr/local/lib/ruby/site_ruby/1.8/nitro/scaffold.rb:32:in `read': No such
> file or directory -
> /usr/local/lib/ruby/site_ruby/1.8/../proto/public/scaffold/form.xhtml
> (Errno::ENOENT) from
> /usr/local/lib/ruby/site_ruby/1.8/nitro/scaffold.rb:32:in
> `compile_scaffold_action' from
> /usr/local/lib/ruby/site_ruby/1.8/nitro/scaffold.rb:93:in `scaffold' from
> ./src/controller/scaffold.rb:7
>         from
> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
> `require' from run.rb:11
>
> This was fixed by manually copying the proto dir from the nitro
> distribution to /usr/local/lib/ruby/site_ruby/.
>
> Then I tried to run Flare and got the following error:
> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
> `require__': no such file to load -- part/admin (LoadError) from
> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
> `require' from run.rb:16
>
> This was fixed by manually copying src/part from the nitro distribution to
> /usr/local/lib/ruby/site_ruby/
>
> Yen via sano
> --TimH
> _______________________________________________
> Nitro-general mailing list
> Nitro-general at rubyforge.org
> http://rubyforge.org/mailman/listinfo/nitro-general
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/nitro-general/attachments/20051119/580ee1b6/attachment.bin 


More information about the Nitro-general mailing list